package com.afp.ordermanagement.config;

import com.afp.ordermanagement.annotation.AccessTokenResolver;
import com.afp.ordermanagement.annotation.ManagerPayloadResolver;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.reactive.config.WebFluxConfigurer;
import org.springframework.web.reactive.result.method.annotation.ArgumentResolverConfigurer;

@Configuration
public class AnnotationConfig implements WebFluxConfigurer {
    @Override
    public void configureArgumentResolvers(ArgumentResolverConfigurer config) {
       config.addCustomResolver(accessTokenResolve());
       config.addCustomResolver(managerPayloadResolver());
    }

    @Bean
    public  AccessTokenResolver accessTokenResolve() {
        return new AccessTokenResolver();
    }

    @Bean
    public ManagerPayloadResolver managerPayloadResolver() {
        return new ManagerPayloadResolver();
    }
}
